# Proietto

# DATI
param n;		# Numero di osservazioni
set N := 1..n;	# Insieme indicizzato di osservazioni
param x {N};	# Ascisse (precise)
param y {N};	# Ordinate (affette da errore)

# VARIABILI
# Equazione parabola: y = a x^2 + b x + c
var a <= 0;
var b;
var c;
var e {i in N} = a * x[i]^2 + b * x[i] + c - y[i];
var x0;

# OBIETTIVO
minimize z: sum {i in N} e[i]^2;

# VINCOLO
subject to Origine:
  a * x0^2 + b * x0 + c = 0;
subject to Sx:
  2 * a * x0 >= -b;

#######################################
data;

param n := 4;
param:   x   y :=
1		10	18
2		20	26
3		30	31
4		40	29;

end;
